Resumable Query

Start with Data

Perform queries using text data that can be resumed to fetch additional results.

Request

databodystringrequired

The text data to be embedded and used for querying.

topKbodynumberdefault: 10

The total number of the vectors that you want to receive as a query result. The response will be sorted based on the distance metric score, and at most topK many vectors will be returned.

includeMetadatabodybooleandefault: false

Whether to include the metadata of the vectors in the response, if any. It is recommended to set this to true to easily identify vectors.

includeVectorsbodybooleandefault: false

Whether to include the vector values in the response. It is recommended to set this to false as the vector values can be quite big, and not needed most of the time.

includeDatabodybooleandefault: false

Whether to include the data of the vectors in the response, if any.

filterbodystringdefault:

Metadata filter to apply.

maxIdlebodynumber

Maximum idle time for the resumable query in seconds.

weightingStrategybodystring

For sparse vectors of sparse and hybrid indexes, specifies what kind of weighting strategy should be used while querying the matching non-zero dimension values of the query vector with the documents.

If not provided, no weighting will be used.

Only possible value is IDF (inverse document frequency).

fusionAlgorithmbodystring

Fusion algorithm to use while fusing scores from dense and sparse components of a hybrid index.

If not provided, defaults to RRF (Reciprocal Rank Fusion).

Other possible value is DBSF (Distribution-Based Score Fusion).

queryModebodystring

Query mode for hybrid indexes with Upstash-hosted embedding models.

Specifies whether to run the query in only the dense index, only the sparse index, or in both.

If not provided, defaults to HYBRID.

Possible values are HYBRID, DENSE, and SPARSE.

Path

namespacepathstringdefault:

The namespace to use. When no namespace is specified, the default namespace will be used.

Response

Same as Resumable Query.

curl
curl $UPSTASH_VECTOR_REST_URL/resumable-query-data \  -X POST \  -H "Authorization: Bearer $UPSTASH_VECTOR_REST_TOKEN" \  -d '{    "data": "Hello world",    "topK": 2,    "includeMetadata": true,    "maxIdle": 3600  }'
Loading search…